1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Suporte ao PPC G4

Discussão em 'Dúvidas e Suporte Técnico - Apple' iniciada por portofino, 27 de Novembro de 2007. (Respostas: 10; Visualizações: 759)

  1. portofino

    portofino Power Member

    Viva!

    Estou a pensar arranjar um Mac desktop mas com processador PPC G4. Isto vai continuar a ser suportado nas próximas versões do OSX ?

    E quanto às aplicações externas à Apple, continuam a lançar para esta arquitectura também ou apenas para Intel agora ?

    Não queria que daqui a 1 ano já não o pudesse usar...
     
  2. MacMaria

    MacMaria Power Member

    Muito sinceramente, apesar de actualmente a maioria das aplicações saírem em formato universal (i.e. intel + ppc), acho arriscado apostar num produto que foi descontinuado. A não ser que se saiba que a sua utilização é "como o que é agora" e não "como o que pode vir a ser". Digamos que, se vai utilizar a máquina com programas que (actualmente) sabe funcionarem em ppc, sem necessitar de upgrades por aí além, o risco é pequeno; mas se está interessado em uma máquina para actualizar continuadamente, o risco é bem maior.

    Penso que a questão se resume ao que quer fazer com a máquina e o preço que está disposto a pagar. Pode ser que comprar um ppc seja uma pechincha e que este sirva exactamente para o que lhe é necessário.

    Nota: Estou convencida que o ppc ainda vai ser suportado na versão pós-Leopard; mas depois não tenho assim tanta certeza. (O OS 9 só deixou de ser suportado agora com o Leopard, apesar de já andar bem coxinho com o Tiger.)
     
  3. JPCarvalhinho

    JPCarvalhinho Colaborador
    Staff Member

    Além de que se és novo nestas andanças, provavelmente vais precisar de windows, e num powerpc não há bootcamp, e as soluções de virtualização não são grande coisa.
     
  4. timber

    timber Zwame Advisor

    Se comprares barato pode ser um opção interessante. O Leopard suporta o G4 a partir da dado modelo (867 Mhz se não me falha a memória) e se deve-se manter por uns 2 anos portanto comprando barato e usando 2 anos podes dar o teu dinheiro como bem gasto.

    No entanto duvido que a próxima versão suporte algo que não G5s ou no máximo G4s com mais de 1 Ghz (e isto apenas para cobrir os portáteis que se venderam até ao fim com esta peça de museu)

    Quanto às aplicações externas... vai ser um bocado totoloto. As novas aplicações duvido que saiam em UB especialmente se vierem de grandes editoras. As continuações suponho que sejam UB. Mas repara, isto são os meus palpites.
     
  5. portofino

    portofino Power Member

    Eu tenho várias máquinas windows e linux. Eu queria ter, apenas para usar em casa em alternativa aos outros sistemas operativos. Se fosse era por um Mac Mini G4 com mais de 1 GHz.

    Sendo assim, talvez não vá em frente na compra.
     
  6. Demio

    Demio Power Member

    Não há razão para que aplicações novas não sejam UB. Simplesmente é preciso compilar vários binários, e o Mac OS X faz isso por ti. As libraries e APIs são universais entre PPC Mac OS X e Intel Mac OS X.

    A unica razão para que uma app não seja UB é se esta precisar de alguma feature não presente nos processadores PPC ou x86.
     
  7. portofino

    portofino Power Member

    Entao aconselhas-me a comprar ? O problema é se o OSX deixar de ser suportado para ppc g4 na proxima versao...

     
  8. Demio

    Demio Power Member

    Depende do que queres fazer com ele, e o preço a que te venderem.

    Se for por mais de €200 já tá muito caro (depende das specs).
     
  9. parkpre

    parkpre Power Member

    Um G4 ainda é uma boa máquina, principalmente quando tem mais de 1Ghz. Tenho 1 eMac 1.2Ghz que comprei usado e é uma máquina bastante decente para net, mail, organizar as fotos pelo iphoto, etc. Tem superdrive o que torna este eMac ainda mais útil. Parece-me (tal como outros G4 que já mexi) que é boa máquina para durar mais um bom par de anos, mas claro, tudo depende da utilização que uma pessoa dá.
     
  10. bsod

    bsod Power Member

    O meu "velhinho" PowerBook G3 ainda dá para as minhas andanças, por exemplo... não tenho ideia de fazer o update para o Leopard (aliás, nem é suportado), fica com o Tiger que já é um óptimo OS. E para o que eu faço... serve perfeitamente - já me "safou" de várias situações complicadas :)

    Agora, é claro que é máquina para durar mais um ano, no máximo... e digo-te que não o teria comprado se não tivesse uma outra máquina melhor, desktop - é suficiente como máquina portátil, mas há coisas que simplesmente não consigo fazer com ele!

    O PPC ainda não morreu... mas é uma questão de tempo. (tal como a transição m68k -> PPC... demorou, mas do OS 8.5 para cima acabou o suporte a m68k :P)
     
  11. Sirikazy

    Sirikazy Power Member

    portofino,


    Eu ignorava maior parte do post a contar do bsod para cima. Maior parte do pessoal nunca utilizou PPC na vida ou tem uma ideia meia distorcida. O suporte ao PPC nos futuros SO apple esta garantido por muitos anos. O OS9 teoricamente tinha morrido em 96 e so agora foi largado. A coisa de uns 3 meses foi dadas umas estatistica que mostraram que maior parte de Mac´s ligados a internet ainda eram PPC. Para não falar em base instalada.
    Isso de que o PPC esta praticamente "morto" é coisa de utilizadores que comprarm os seus primeiros Mac´s intel e (não sei porque) pensam que antes de intel não existia MAC.

    Agora, aplicações que exigem muito da maquina como edição de video ou jogos ai sim por efeito de garantir um desempenho que não de uma imagem errada da marca, ai o suporte é largado com certeza. Ate porque não faria sentido o contrario.
     

Partilhar esta Página